<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--  -->
<mapper namespace="cn.ey.biz.module.system.dal.mapper.errorcode.ErrorCodeMapper">


    <select id="selectListPage" resultType="cn.ey.biz.module.system.dal.dataobject.errorcode.ErrorCodeDO">
        SELECT
	    any_value ( type ) as  type,
	    application_name as application_name,
        code,
        any_value (memo) memo
        FROM
	    system_error_code
        where deleted=0
        <if test="c.type != null and c.type != ''">
            and type = #{c.type}
        </if>
        <if test="c.applicationName != null and c.applicationName != ''">
            and application_name = #{c.applicationName}
        </if>
        <if test="c.code != null and c.code != ''">
            and code = #{c.code}
        </if>
        <if test="c.label != null and c.label != ''">
            and message like concat('%', #{c.label},'%')
        </if>
        GROUP BY CODE,application_name
    </select>
</mapper>

